Bug 1657550 - Excessive slowness with network scanning
Summary: Excessive slowness with network scanning
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: sane-backends
Version: 28
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-09 23:00 UTC by Jim Moore
Modified: 2019-05-28 23:26 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 23:26:23 UTC
Type: Bug


Attachments (Terms of Use)

Description Jim Moore 2018-12-09 23:00:59 UTC
Description of problem:
When attempting to scan a document using Samsung M2875FW over a Wifi connection the time it takes from the completion of the page scan on the scanner until it is fully received by the sane-backend is much, much longer using the latest version of the sane-backend than it was before.  When a multi-page document is loaded in the automatic document feeder, only the first page is scanned.  After the long delay in transmission the first page's image shows up in the xsane multipage pages list but the remaining pages are all fed through the feeder without being scanned.

Version-Release number of selected component (if applicable):
sane-backends-1.0.27-17.fc28.x86_64, using the xerox_mfp.conf backend with the scanner defined as follows:
tcp 192.168.1.253

How reproducible:
Scan any single or multi-page document using xsane in multi-page or save mode.

Steps to Reproduce:
1.  Set up destination directory or file for scan
2.  Set scan mode to color or greyscale
3.  Set color quality to full color
4.  Set scan resolution to 75 dpi
2.  Load 8x11 document in scanner
3.  Hit "Scan" button on xsane main window

Actual results:
Time from scan completion on the MFP to completion of the data transfer to the PC exceeds 5 seconds and sometimes reaches over 10 seconds.   If there are multiple pages in the automatic document feeder, only the first page is scanned.

Expected results:
Time from scan completion on the MFP to completion of the data transfer to the PC takes less than 2 seconds.  If there are multiple pages, all are scanned and transferred to the PC.


Additional info:

Comment 1 Ben Cotton 2019-05-02 20:09:40 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2019-05-28 23:26:23 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.